com.gisgraphy.importer.dto

## Class NodeHouseNumber

- java.lang.Object
- - com.gisgraphy.importer.dto.NodeHouseNumber

-     public class NodeHouseNumber
      extends Object

  Represents a house number as a simple node in the Karlsruhe schema.
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeHouseNumber()`
    `NodeHouseNumber(String nodeId, com.vividsolutions.jts.geom.Point location, String houseNumber, String name, String streetName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getHouseNumber()`
    `com.vividsolutions.jts.geom.Point` | `getLocation()`
    `String` | `getName()`
    `String` | `getNodeId()`
    `String` | `getStreetName()`
    `int` | `hashCode()`
    `void` | `setHouseNumber(String houseNumber)`
    `void` | `setLocation(com.vividsolutions.jts.geom.Point location)`
    `void` | `setName(String name)`
    `void` | `setNodeId(String nodeId)`
    `void` | `setStreetName(String streetName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeHouseNumber

          public NodeHouseNumber()

    - #### NodeHouseNumber

          public NodeHouseNumber(String nodeId,
                         com.vividsolutions.jts.geom.Point location,
                         String houseNumber,
                         String name,
                         String streetName)

  - ### Method Detail

    - #### getNodeId

          public String getNodeId()

      Returns:
        the nodeId

    - #### setNodeId

          public void setNodeId(String nodeId)

      Parameters:
        `nodeId` - the nodeId to set

    - #### getLocation

          public com.vividsolutions.jts.geom.Point getLocation()

      Returns:
        the location

    - #### setLocation

          public void setLocation(com.vividsolutions.jts.geom.Point location)

      Parameters:
        `location` - the location to set

    - #### getHouseNumber

          public String getHouseNumber()

      Returns:
        the houseNumber

    - #### setHouseNumber

          public void setHouseNumber(String houseNumber)

      Parameters:
        `houseNumber` - the houseNumber to set

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getStreetName

          public String getStreetName()

      Returns:
        the streetName

    - #### setStreetName

          public void setStreetName(String streetName)

      Parameters:
        `streetName` - the streetName to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2015. All rights reserved.